WordPress WP e-Commerce bővítmény sérülékenysége

CH azonosító

CH-5569

Angol cím

WordPress WP e-Commerce Plugin Vulnerabilities

Felfedezés dátuma

2011.09.15.

Súlyosság

Közepes

Érintett rendszerek

WordPress
e-Commerce plugin

Érintett verziók

WordPress WP e-Commerce Plugin 3.x

Összefoglaló

A WordPress WP e-Commerce bővítményének két olyan sérülékenységét jelentették, amelyeket a támadók kihasználva SQL befecskendezéses (SQL injection) támadásokat hajthatnak végre.

Leírás

  1. A “transaction_id” paraméteren keresztül az index.php részére átadott bemeneti adatok (amikor a “chronopay_callback” “true” és “transaction_type” “onetime”, “initial” vagy “rebill”) nincs megfelelően ellenőrizve a wp-content/plugins/wp-e-commerce/wpsc-merchants/chronopay.php-ben, mielőtt SQL lekérdezésekben felhasználásra kerülne. Ezt kihasználva SQL lekérdezések manipulálhatóak tetszőleges SQL kód befecskendezésével.
  2. A “transaction_id” paraméteren keresztül az index.php részére átadott bemeneti adatok  (amikor a “chronopay_callback” “true” és “transaction_type” “Pending”) nincs megfelelően ellenőrizve a wp-content/plugins/wp-e-commerce/wpsc-merchants/chronopay.php-ben, mielőtt SQL lekérdezésekben felhasználásra kerülne. Ezt kihasználva SQL lekérdezések manipulálhatóak tetszőleges SQL kód befecskendezésével.

A sérülékenységeket a 3.8.6 verzióban jelentették. Korábbi verziók is érintettek lehetnek.

Megoldás

Frissítsen a legújabb verzióra